Subject: Re: help with inittab

From: Chris Dumoulin <[email-masked]>
Date: Fri, 09 Jun 2006 15:14:49 -0400

The init is from Busybox. Since I'm getting output from my serial port 
during the kernel boot process, I think it's safe to say that my 
/dev/ttyS0 is properly configured. Besides passing the kernel argument 
console=ttyS0,57600, is there anything else I need to do to properly 
configure the console? I've looked through my kernel configuration to 
make sure that any serial device or console related stuff was enabled 
and configured.

I'm feeling pretty stumped.

- Chris

Steve Iribarne (GMail) wrote:

> On 6/9/06, Chris Dumoulin <[email-masked]> wrote:
>
>> I've now determined that my kernel seems to stop in the following line
>> of code, in the function init(void * unused), in init/main.c:
>> run_init_process("/sbin/init");
>
>
> Who's init are  you using??
>
> Are you using Busyboxes or sysinit from GNU?
>
>
>> I've determined that it stops at this call by stepping through the code
>> with a BDI2000.
>>
>> My boot arguments are:
>> console=ttyS0,57600n8 ip=off root=/dev/ram0 rw
>>
>> My current inittab is:
>> ::sysinit:/etc/rc.sh
>> ::ctrlaltdel:/sbin/reboot
>> ::shutdown:/sbin/swapoff -a
>> ::shutdown:/bin/umount -a -r
>> ::restart:/sbin/init
>> ::respawn:/bin/sh
>>
>> I've tried adding an "echo" command to the /etc/rc.sh script that is
>> called, but I don't see any output. I've also trying changing the
>> ::sysinit line in inittab to point to some non-existent script, to see
>> if I'll get some error message, but I still see nothing. Is it possible
>> that /sbin/init is dying before it gets to the point of reading inittab?
>> Any ideas?
>>
>> Regards,
>> Chris Dumoulin
>>
>>
>> Wolfgang Denk wrote:
>>
>> >In message <[email-masked]> you wrote:
>> >
>> >
>> >>I am using the linux kernel 2.6.15 and initrd ramdisk image from ELDK
>> >>4.0. Currently, I seem to be able to boot without errors, but after 
>> the
>> >>root filesystem is mounted, things just stop.
>> >>
>> >>
>> >
>> >And  what's  your  console  device?  Are  you  passing  any  console=
>> >arguments  on  the  command  line?  Is the corresponding device entry
>> >present in the /dev/directory?
>> >
>> >Best regards,
>> >
>> >Wolfgang Denk
>> >
>> >
>> >
>>
>> -- 
>> *--Christopher Dumoulin--*
>> Software Team Leader
>>
>> <http://ics-ltd.com/>
>> <http://ics-ltd.com/>
>>
>> Interactive Circuits and Systems Ltd.
>> 5430 Canotek Road
>> Ottawa, ON
>> K1J 9G2
>> (613)749-9241
>> 1-800-267-9794 (USA only)
>>
>> ------------------------------------------------------------------------
>> This e-mail is private and confidential and is for the addressee only.
>> If misdirected, please notify us by telephone and confirm that it has
>> been deleted from your system and any hard copies destroyed. You are
>> strictly prohibited from using, printing, distributing or disseminating
>> it or any information contained in it save to the intended recipient.
>> _______________________________________________
>> Linuxppc-embedded mailing list
>> [email-masked]
>> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>>
>

-- 
*--Christopher Dumoulin--*
Software Team Leader

<http://ics-ltd.com/>
<http://ics-ltd.com/>

Interactive Circuits and Systems Ltd.
5430 Canotek Road
Ottawa, ON
K1J 9G2
(613)749-9241
1-800-267-9794 (USA only)

------------------------------------------------------------------------
This e-mail is private and confidential and is for the addressee only. 
If misdirected, please notify us by telephone and confirm that it has 
been deleted from your system and any hard copies destroyed. You are 
strictly prohibited from using, printing, distributing or disseminating 
it or any information contained in it save to the intended recipient.